Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.tags
Class MondrianModelFactory.Config

    java.lang.Object
      com.tonbeller.jpivot.tags.MondrianModelFactory.Config

Enclosing class:
  MondrianModelFactory

    public static class MondrianModelFactory.Config

extends java.lang.Object

Constructor Summary
`MondrianModelFactory.Config()`

Method Summary
`void` | `allowOverride(com.tonbeller.wcf.controller.RequestContext context)` allows to override the current JDBC settings.
`java.lang.String` | `getConnectionPooling()`
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getDataSourceChangeListener()` Getter for property dataSourceChangeListener.
`java.lang.String` | `getDynLocale()` Getter for property dynLocale.
`java.lang.String` | `getDynResolver()`
`javax.sql.DataSource` | `getExternalDataSource()`
`java.lang.String` | `getJdbcDriver()` Returns the jdbcDriver.
`java.lang.String` | `getJdbcPassword()` Returns the jdbcPassword.
`java.lang.String` | `getJdbcUrl()` Returns the jdbcUrl.
`java.lang.String` | `getJdbcUser()` Returns the jdbcUser.
`java.lang.String` | `getMdxQuery()` Returns the mdxQuery.
`java.lang.String` | `getRole()` Returns the role.
`java.lang.String` | `getSchemaUrl()` Returns the schemaUrl.
`void` | `setConnectionPooling(java.lang.String connectionPooling)`
`void` | `setDataSource(java.lang.String string)`
`void` | `setDataSourceChangeListener(java.lang.String dataSourceChangeListener)` Setter for property dataSourceChangeListener.
`void` | `setDynLocale(java.lang.String dynLocale)` Setter for property dynLocale.
`void` | `setDynResolver(java.lang.String dynResolver)`
`void` | `setExternalDataSource(javax.sql.DataSource externalDataSource)`
`void` | `setJdbcDriver(java.lang.String jdbcDriver)` Sets the jdbcDriver.
`void` | `setJdbcPassword(java.lang.String jdbcPassword)` Sets the jdbcPassword.
`void` | `setJdbcUrl(java.lang.String jdbcUrl)` Sets the jdbcUrl.
`void` | `setJdbcUser(java.lang.String jdbcUser)` Sets the jdbcUser.
`void` | `setMdxQuery(java.lang.String mdxQuery)` Sets the mdxQuery.
`void` | `setRole(java.lang.String role)` Sets the role.
`void` | `setSchemaUrl(java.lang.String schemaUrl)` Sets the schemaUrl.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MondrianModelFactory.Config

    public MondrianModelFactory.Config()

Method Detail

### allowOverride

    public void allowOverride(com.tonbeller.wcf.controller.RequestContext context)

  allows to override the current JDBC settings.

  All properties are allowed to contain ${some.name} that refer to other properties except the dataSource attribute where ${bean.property} is interpreted as bean EL that references session beans.

  If a dataSource name is given, it is looked up as bean EL. If the result is a DataSource, its used (e.g. the session contains a DataSource). If not, its interpreted as JNDI name.

  If no dataSource name is given, values for jdbcDriver etc are needed. If these values are present, they are taken. Otherwise, they are looked up in the resources with the keys "jdbc.driver", "jdbc.url", "jdbc.user" and "jdbc.password".

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Returns the jdbcDriver.

  Returns:
    String

### getJdbcPassword

    public java.lang.String getJdbcPassword()

  Returns the jdbcPassword.

  Returns:
    String

### getJdbcUrl

    public java.lang.String getJdbcUrl()

  Returns the jdbcUrl.

  Returns:
    String

### getJdbcUser

    public java.lang.String getJdbcUser()

  Returns the jdbcUser.

  Returns:
    String

### getMdxQuery

    public java.lang.String getMdxQuery()

  Returns the mdxQuery.

  Returns:
    String

### getSchemaUrl

    public java.lang.String getSchemaUrl()

  Returns the schemaUrl.

  Returns:
    String

### getRole

    public java.lang.String getRole()

  Returns the role.

  Returns:
    String

### setRole

    public void setRole(java.lang.String role)

  Sets the role.

  Parameters:
    `role` - The role to set

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Sets the jdbcDriver.

  Parameters:
    `jdbcDriver` - The jdbcDriver to set

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

  Sets the jdbcPassword.

  Parameters:
    `jdbcPassword` - The jdbcPassword to set

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

  Sets the jdbcUrl.

  Parameters:
    `jdbcUrl` - The jdbcUrl to set

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

  Sets the jdbcUser.

  Parameters:
    `jdbcUser` - The jdbcUser to set

### setMdxQuery

    public void setMdxQuery(java.lang.String mdxQuery)

  Sets the mdxQuery.

  Parameters:
    `mdxQuery` - The mdxQuery to set

### setSchemaUrl

    public void setSchemaUrl(java.lang.String schemaUrl)

  Sets the schemaUrl.

  Parameters:
    `schemaUrl` - The schemaUrl to set

### getDataSource

    public java.lang.String getDataSource()

  Returns:

### setDataSource

    public void setDataSource(java.lang.String string)

  Parameters:
    `string` -

### getDynResolver

    public java.lang.String getDynResolver()

### setDynResolver

    public void setDynResolver(java.lang.String dynResolver)

### getConnectionPooling

    public java.lang.String getConnectionPooling()

### setConnectionPooling

    public void setConnectionPooling(java.lang.String connectionPooling)

### getExternalDataSource

    public javax.sql.DataSource getExternalDataSource()

### setExternalDataSource

    public void setExternalDataSource(javax.sql.DataSource externalDataSource)

### getDynLocale

    public java.lang.String getDynLocale()

  Getter for property dynLocale.

  Returns:
    Value of property dynLocale.

### setDynLocale

    public void setDynLocale(java.lang.String dynLocale)

  Setter for property dynLocale.

  Parameters:
    `dynLocale` - New value of property dynLocale.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDataSourceChangeListener

    public java.lang.String getDataSourceChangeListener()

  Getter for property dataSourceChangeListener.

  Returns:
    Value of property dataSourceChangeListener.

### setDataSourceChangeListener

    public void setDataSourceChangeListener(java.lang.String dataSourceChangeListener)

  Setter for property dataSourceChangeListener.

  Parameters:
    `dataSourceChangeListener` - New value of property dataSourceChangeListener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD